Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class PermissionBundle

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.SystemObject
                  oracle.ifs.beans.TieSystemObject
                      oracle.ifs.beans.PermissionBundle

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  TiePermissionBundle

    public class PermissionBundle

extends TieSystemObject

The PermissionBundle class lets users group multiple access levels into a customized bundle.

The main purpose of this class is to provide convenience over having to use each access level separately. This object can also act as a "Role" in that when this bundle is updated all ACLs automatically reflect the change.

See Also:
  `AccessLevel`
(Published)

Field Summary
`static java.lang.String` | `ACCESSLEVEL_ATTRIBUTE` The level of the permission represented by this PermissionBundle (e.g.
`static java.lang.String` | `CLASS_NAME` The name of this class.
`static java.lang.String` | `DESCRIPTION_ATTRIBUTE` A textual description of the PermissionBundle.
`static java.lang.String` | `EXTENDEDPERMISSIONS_ATTRIBUTE` The extended permission levels created by a custom application which are associated with this PermissionBundle.
`static java.lang.String` | `NAME_ATTRIBUTE` The name of the PermissionBundle.

Fields inherited from class oracle.ifs.beans.SystemObject
`ACTIVE_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `PermissionBundle(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Construct a PermissionBundle object - standard variant.

Method Summary
`protected static PermissionBundle` | `constructPermissionBundle(LibrarySession sess, S_LibraryObjectData data)` Construct a permission bundle object from data corresponding to it.
`protected static java.util.Vector` | `constructPermissionBundleVector(LibrarySession sess, java.util.Vector vector)` Construct a vector of permission bundles from a vector of data corresponding to them.
`static PermissionBundle[]` | `findAll(LibrarySession session)` Returns the set of defined PermissionBundles.
`static PermissionBundle` | `findByName(LibrarySession session, java.lang.String name)` Returns the a PermissionBundle matching the specified name.
`AccessLevel` | `getAccessLevel()` Returns the access level represented by this ACE
`static AccessLevel` | `getAccessLevel(PermissionBundle[] pbs)` Returns the access level represented by the set of specified PermissionBundles.
`java.lang.String` | `getDescription()` Returns description of this object
`static LibraryObjectLookupCache` | `getLibraryObjectLookupCache(LibrarySessionInterface session)` Returns the LibraryObjectLookupCache used by find PermissionBundle instances by name.
`boolean` | `hasNameAttribute()` Override to return true for any PublicObject, indicating that the instance has a NAME attribute.
`void` | `setAccessLevel(AccessLevel al)` Sets the access level.
`void` | `setDescription(java.lang.String description)` Update the description of this object.
`protected static PermissionBundle` | `vectorPermissionBundleElement(java.util.Vector vector, int index)` Returns a particular PermissionBundle from a vector, based on the index supplied.
`protected static PermissionBundle[]` | `vectorToPermissionBundleArray(java.util.Vector vector)` Returns an array of PermissionBundle objects from a vector of PermissionBundle objects.

Methods inherited from class oracle.ifs.beans.SystemObject
`addCategory, constructSystemObject, constructSystemObjectVector, free, freeCategories, getCategories, getCategories, getCategories, getCategories, getPolicyBundle, getPolicyLists, handleCreate, isActive, postCreate, postUpdate, preCreate, preUpdate, putPolicy, removeAllPolicies, removePolicy, removePolicy, setActive, setPolicyBundle, setPolicyLists`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, preFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `PermissionBundle`
  The name of this class.

  See Also:
    Constant Field Values
  (Published)

### NAME_ATTRIBUTE

    public static final java.lang.String NAME_ATTRIBUTE

  Description copied from class: `PermissionBundle`
  The name of the PermissionBundle.

  See Also:
    Constant Field Values
  (Published)

### DESCRIPTION_ATTRIBUTE

    public static final java.lang.String DESCRIPTION_ATTRIBUTE

  Description copied from class: `PermissionBundle`
  A textual description of the PermissionBundle.

  See Also:
    Constant Field Values
  (Published)

### ACCESSLEVEL_ATTRIBUTE

    public static final java.lang.String ACCESSLEVEL_ATTRIBUTE

  Description copied from class: `PermissionBundle`
  The level of the permission represented by this PermissionBundle (e.g. Discover, Delete).

  See Also:
    Constant Field Values
  (Published)

### EXTENDEDPERMISSIONS_ATTRIBUTE

    public static final java.lang.String EXTENDEDPERMISSIONS_ATTRIBUTE

  Description copied from class: `PermissionBundle`
  The extended permission levels created by a custom application which are associated with this PermissionBundle.

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### PermissionBundle

    protected PermissionBundle(LibrarySession session,
                               java.lang.Long id,
                               java.lang.Long classId,
                               S_LibraryObjectData data)
                        throws IfsException

  Construct a PermissionBundle object - standard variant.

  Parameters:
    `session` - the session
    `id` - the id
    `classId` - the class id
    `data` - the Policy data
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### hasNameAttribute

    public boolean hasNameAttribute()
                             throws IfsException

  Description copied from class: `PermissionBundle`
  Override to return true for any PublicObject, indicating that the instance has a NAME attribute.

  Overrides:
    `hasNameAttribute` in class `LibraryObject`
  Returns:
    true.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getDescription

    public java.lang.String getDescription()
                                    throws IfsException

  Description copied from class: `PermissionBundle`
  Returns description of this object

  Returns:
    The object description
  Throws:
    `IfsException` - if operation fails.
  (Published)

### setDescription

    public void setDescription(java.lang.String description)
                        throws IfsException

  Description copied from class: `PermissionBundle`
  Update the description of this object.

  Parameters:
    `description` - New description
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getAccessLevel

    public AccessLevel getAccessLevel()
                               throws IfsException

  Description copied from class: `PermissionBundle`
  Returns the access level represented by this ACE

  Returns:
    the access level represented by this ACE
  Throws:
    `IfsException` - if operation fails.
  (Published)

### setAccessLevel

    public void setAccessLevel(AccessLevel al)
                        throws IfsException

  Description copied from class: `PermissionBundle`
  Sets the access level.

  Parameters:
    `al` - the desired access level fort his PermissionBundle
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getAccessLevel

    public static AccessLevel getAccessLevel(PermissionBundle[] pbs)
                                      throws IfsException

  Description copied from class: `PermissionBundle`
  Returns the access level represented by the set of specified PermissionBundles.

  Parameters:
    `pbs` - the specified PermissionBundles
  Returns:
    the access level represented by this ACE
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### getLibraryObjectLookupCache

    public static LibraryObjectLookupCache getLibraryObjectLookupCache(LibrarySessionInterface session)
                                                                throws IfsException

  Description copied from class: `PermissionBundle`
  Returns the LibraryObjectLookupCache used by find PermissionBundle instances by name.

  Parameters:
    `session` - the session context
  Returns:
    the LibraryObjectLookupCache
  Throws:
    `IfsException` - if the operation fails.

### findAll

    public static PermissionBundle[] findAll(LibrarySession session)
                                      throws IfsException

  Description copied from class: `PermissionBundle`
  Returns the set of defined PermissionBundles.

  The instances will be sorted by name.

  Parameters:
    `session` - the session context
  Returns:
    the set of PermissionBundles; returns null if there are none
  Throws:
    `IfsException` - if the operation fails.

### findByName

    public static PermissionBundle findByName(LibrarySession session,
                                              java.lang.String name)
                                       throws IfsException

  Description copied from class: `PermissionBundle`
  Returns the a PermissionBundle matching the specified name.

  Parameters:
    `session` - the session context
    `name` - the PermissionBundle name
  Returns:
    the PermissionBundle matching the specified name; or null if there exists no matching PermissionBundle
  Throws:
    `IfsException` - if the operation fails.

### constructPermissionBundleVector

    protected static java.util.Vector constructPermissionBundleVector(LibrarySession sess,
                                                                      java.util.Vector vector)
                                                               throws IfsException

  Description copied from class: `PermissionBundle`
  Construct a vector of permission bundles from a vector of data corresponding to them.

  Parameters:
    `sess` - handle to the current library session
    `vector` - vector of data corresponding to the permission bundle
  Returns:
    vector of permission bundle
  Throws:
    `IfsException`
  (Unpublished)

### constructPermissionBundle

    protected static PermissionBundle constructPermissionBundle(LibrarySession sess,
                                                                S_LibraryObjectData data)
                                                         throws IfsException

  Description copied from class: `PermissionBundle`
  Construct a permission bundle object from data corresponding to it.

  Parameters:
    `sess` - handle to the current library session
    `data` - data corresponding to the object being constructed
  Returns:
    PermissionBundle object
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### vectorToPermissionBundleArray

    protected static PermissionBundle[] vectorToPermissionBundleArray(java.util.Vector vector)

  Description copied from class: `PermissionBundle`
  Returns an array of PermissionBundle objects from a vector of PermissionBundle objects.

  Parameters:
    `vector` - source vector
  Returns:
    resulting array
  (Unpublished)

### vectorPermissionBundleElement

    protected static PermissionBundle vectorPermissionBundleElement(java.util.Vector vector,
                                                                    int index)

  Description copied from class: `PermissionBundle`
  Returns a particular PermissionBundle from a vector, based on the index supplied.

  Parameters:
    `vector` - source vector
    `index` - integer index to the object in the vector
  Returns:
    specified PermissionBundle object
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD